noisegen.hh File Reference
`#include <mia/core/defines.hh>`
`#include <mia/core/factory.hh>`
`#include <mia/core/handler.hh>`
Include dependency graph for noisegen.hh:

Go to the source code of this file.

## Data Structures

class | CNoiseGenerator
| Base class for the noise generators. More...
struct | generator_type
struct | grayscale_noise_data

## Typedefs

typedef TFactory< CNoiseGenerator > | CNoiseGeneratorPlugin
| Base class for al noise generator plugins.
typedef THandlerSingleton< TFactoryPluginHandler< CNoiseGeneratorPlugin > > | CNoiseGeneratorPluginHandler
| The noise generator plugin handler.
typedef std::shared_ptr< CNoiseGenerator > | PNoiseGenerator

## Typedef Documentation

## CNoiseGeneratorPlugin

typedef TFactory<CNoiseGenerator> CNoiseGeneratorPlugin

Base class for al noise generator plugins.

Definition at line 80 of file noisegen.hh.

## CNoiseGeneratorPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CNoiseGeneratorPlugin> > CNoiseGeneratorPluginHandler

The noise generator plugin handler.

Definition at line 84 of file noisegen.hh.

## PNoiseGenerator

typedef std::shared_ptr<CNoiseGenerator> PNoiseGenerator

Definition at line 77 of file noisegen.hh.